function V=CleanVB(V,M,level,creal,cimag, meas)

[rays,values,weights,matches]=LapBW(level,creal,cimag,'n');

if meas=='e' 
if (level>=4) 
% Clean up the 7 8 pair
    eigfun7=M*V(:,7); % find full eigenfunctions
    eigfun8=M*V(:,8);
    c7=eigfun7(rays==(5*2^(level-4))); %pick constants
    c8=eigfun8(rays==(5*2^(level-4))); 
    
    V(:,8)=V(:,8)-c8*V(:,7)/c7; % cancel one circle
    
    
    eigfun8=M*V(:,8); % refind full eigenfunction
    c7=eigfun7(rays==(29*2^(level-4))); %find the new constants
    c8=eigfun8(rays==(29*2^(level-4)));
    
    V(:,7)=V(:,7)-c7*V(:,8)/c8; % cancel the other circle
    
    % Renormalize
    V(:,7)=V(:,7)/sqrt(sum(V(:,7).*V(:,7)));
    V(:,8)=V(:,8)/sqrt(sum(V(:,8).*V(:,8)));
    
    clear eigfun7 eigfun8 c7 c8
end
if(level>=5)
    %Clean up the 14 15 16 triplet 
    % Remove center circle 
    eigfun14=M*V(:,14);
    eigfun15=M*V(:,15);
    eigfun16=M*V(:,16);
    c14=eigfun14(rays==17*2^(level-5));
    c15=eigfun15(rays==17*2^(level-5));
    c16=eigfun16(rays==17*2^(level-5));
    
    V(:,15)=V(:,15)-c15*V(:,14)/c14;
    V(:,16)=V(:,16)-c16*V(:,14)/c14;
    
    %Remove Right 
    eigfun15=M*V(:,15);
    eigfun16=M*V(:,16);
    c14=eigfun14(rays==5*2^(level-5));
    c15=eigfun15(rays==5*2^(level-5));
    c16=eigfun16(rays==5*2^(level-5));
    
    V(:,14)=V(:,14)-c14*V(:,15)/c15;
    V(:,16)=V(:,16)-c16*V(:,15)/c15;
    
    %Remove Left
    eigfun14=M*V(:,14);
    eigfun16=M*V(:,16);
    c14=eigfun14(rays==41*2^(level-5));
    c15=eigfun15(rays==41*2^(level-5));
    c16=eigfun16(rays==41*2^(level-5));
    
    V(:,14)=V(:,14)-c14*V(:,16)/c16;
    V(:,15)=V(:,15)-c15*V(:,16)/c16;
    
    % Renormalize
    V(:,14)=V(:,14)/sqrt(sum(V(:,14).*V(:,14)));
    V(:,15)=V(:,15)/sqrt(sum(V(:,15).*V(:,15)));
    V(:,16)=V(:,16)/sqrt(sum(V(:,16).*V(:,16)));
end

if(level>=6)
    %Clean up the 25 26 pair 
    eigfun25=M*V(:,25); % find full eigenfunctions
    eigfun26=M*V(:,26);
    c25=eigfun25(rays==(5*2^(level-4))); %pick constants
    c26=eigfun26(rays==(5*2^(level-4))); 
    
    V(:,26)=V(:,26)-c26*V(:,25)/c25; % cancel one circle
    
    eigfun26=M*V(:,26); % refind full eigenfunction
    c25=eigfun25(rays==(29*2^(level-4))); %find the new constants
    c26=eigfun26(rays==(29*2^(level-4)));
    
    V(:,25)=V(:,25)-c25*V(:,26)/c26; % cancel the other circle
    
    % Renormalize
    V(:,25)=V(:,25)/sqrt(sum(V(:,25).*V(:,25)));
    V(:,26)=V(:,26)/sqrt(sum(V(:,26).*V(:,26)));
    clear eigfun25 eigfun26 c25 c26
    
    % Clean up the 27-32 sixlet
    %Remove Right middle 
    eigfun27=M*V(:,27);
    eigfun28=M*V(:,28);
    eigfun29=M*V(:,29);
    eigfun30=M*V(:,30);
    eigfun31=M*V(:,31);
    eigfun32=M*V(:,32);
    
    c27=eigfun27(rays==19*2^(level-6));
    c28=eigfun28(rays==19*2^(level-6));
    c29=eigfun29(rays==19*2^(level-6));
    c30=eigfun30(rays==19*2^(level-6));
    c31=eigfun31(rays==19*2^(level-6));
    c32=eigfun32(rays==19*2^(level-6));
    
    V(:,28)=V(:,28)-c28*V(:,27)/c27;
    V(:,29)=V(:,29)-c29*V(:,27)/c27;
    V(:,30)=V(:,30)-c30*V(:,27)/c27;
    V(:,31)=V(:,31)-c31*V(:,27)/c27;
    V(:,32)=V(:,32)-c32*V(:,27)/c27;
    
     %Remove Left Middle
    eigfun28=M*V(:,28);
    eigfun29=M*V(:,29);
    eigfun30=M*V(:,30);
    eigfun31=M*V(:,31);
    eigfun32=M*V(:,32);
    
    c27=eigfun27(rays==115*2^(level-6));
    c28=eigfun28(rays==115*2^(level-6));
    c29=eigfun29(rays==115*2^(level-6));
    c30=eigfun30(rays==115*2^(level-6));
    c31=eigfun31(rays==115*2^(level-6));
    c32=eigfun32(rays==115*2^(level-6));
    
    V(:,27)=V(:,27)-c27*V(:,28)/c28;
    V(:,29)=V(:,29)-c29*V(:,28)/c28;
    V(:,30)=V(:,30)-c30*V(:,28)/c28;
    V(:,31)=V(:,31)-c31*V(:,28)/c28;
    V(:,32)=V(:,32)-c32*V(:,28)/c28;
    
    %Remove Far Right 
    eigfun27=M*V(:,27);
    eigfun29=M*V(:,29);
    eigfun30=M*V(:,30);
    eigfun31=M*V(:,31);
    eigfun32=M*V(:,32);
    
    c27=eigfun27(rays==5*2^(level-6));
    c28=eigfun28(rays==5*2^(level-6));
    c29=eigfun29(rays==5*2^(level-6));
    c30=eigfun30(rays==5*2^(level-6));
    c31=eigfun31(rays==5*2^(level-6));
    c32=eigfun32(rays==5*2^(level-6));
    
    V(:,27)=V(:,27)-c27*V(:,29)/c29;
    V(:,28)=V(:,28)-c28*V(:,29)/c29;
    V(:,30)=V(:,30)-c30*V(:,29)/c29;
    V(:,31)=V(:,31)-c31*V(:,29)/c29;
    V(:,32)=V(:,32)-c32*V(:,29)/c29;

    %Remove Top 
    eigfun27=M*V(:,27);
    eigfun28=M*V(:,28);
    eigfun30=M*V(:,30);
    eigfun31=M*V(:,31);
    eigfun32=M*V(:,32);
    
    c27=eigfun27(rays==41*2^(level-6));
    c28=eigfun28(rays==41*2^(level-6));
    c29=eigfun29(rays==41*2^(level-6));
    c30=eigfun30(rays==41*2^(level-6));
    c31=eigfun31(rays==41*2^(level-6));
    c32=eigfun32(rays==41*2^(level-6));
    
    V(:,27)=V(:,27)-c27*V(:,30)/c30;
    V(:,28)=V(:,28)-c28*V(:,30)/c30;
    V(:,29)=V(:,29)-c29*V(:,30)/c30;
    V(:,31)=V(:,31)-c31*V(:,30)/c30;
    V(:,32)=V(:,32)-c32*V(:,30)/c30;
    
    %Remove Far Left 
    eigfun27=M*V(:,27);
    eigfun28=M*V(:,28);
    eigfun29=M*V(:,29);
    eigfun31=M*V(:,31);
    eigfun32=M*V(:,32);
    
    c27=eigfun27(rays==101*2^(level-6));
    c28=eigfun28(rays==101*2^(level-6));
    c29=eigfun29(rays==101*2^(level-6));
    c30=eigfun30(rays==101*2^(level-6));
    c31=eigfun31(rays==101*2^(level-6));
    c32=eigfun32(rays==101*2^(level-6));
    
    V(:,27)=V(:,27)-c27*V(:,31)/c31;
    V(:,28)=V(:,28)-c28*V(:,31)/c31;
    V(:,29)=V(:,29)-c29*V(:,31)/c31;
    V(:,30)=V(:,30)-c30*V(:,31)/c31;
    V(:,32)=V(:,32)-c32*V(:,31)/c31;
    
    %Remove Bottom
    eigfun27=M*V(:,27);
    eigfun28=M*V(:,28);
    eigfun29=M*V(:,29);
    eigfun30=M*V(:,30);
    eigfun32=M*V(:,32);
    
    c27=eigfun27(rays==137*2^(level-6));
    c28=eigfun28(rays==137*2^(level-6));
    c29=eigfun29(rays==137*2^(level-6));
    c30=eigfun30(rays==137*2^(level-6));
    c31=eigfun31(rays==137*2^(level-6));
    c32=eigfun32(rays==137*2^(level-6));
    
    V(:,27)=V(:,27)-c27*V(:,32)/c32;
    V(:,28)=V(:,28)-c28*V(:,32)/c32;
    V(:,29)=V(:,29)-c29*V(:,32)/c32;
    V(:,30)=V(:,30)-c30*V(:,32)/c32;
    V(:,31)=V(:,31)-c31*V(:,32)/c32;
    
    % Renormalize
    V(:,27)=V(:,27)/sqrt(sum(V(:,27).*V(:,27)));
    V(:,28)=V(:,28)/sqrt(sum(V(:,28).*V(:,28)));
    V(:,29)=V(:,29)/sqrt(sum(V(:,29).*V(:,29)));
    V(:,30)=V(:,30)/sqrt(sum(V(:,30).*V(:,30)));
    V(:,31)=V(:,31)/sqrt(sum(V(:,31).*V(:,31)));
    V(:,32)=V(:,32)/sqrt(sum(V(:,32).*V(:,32)));
end
if(level>=7)
    %Clean up the 39 40 pair 
    eigfun39=M*V(:,39); % find full eigenfunctions
    eigfun40=M*V(:,40);
    c39=eigfun39(rays==(5*2^(level-4))); %pick constants
    c40=eigfun40(rays==(5*2^(level-4))); 
    
    V(:,40)=V(:,40)-c40*V(:,39)/c39; % cancel one circle
    
    eigfun40=M*V(:,40); % refind full eigenfunction
    c39=eigfun39(rays==(29*2^(level-4))); %find the new constants
    c40=eigfun40(rays==(29*2^(level-4)));
    
    V(:,39)=V(:,39)-c39*V(:,40)/c40; % cancel the other circle
    
    % Renormalize
    V(:,39)=V(:,39)/sqrt(sum(V(:,39).*V(:,39)));
    V(:,40)=V(:,40)/sqrt(sum(V(:,40).*V(:,40)));
    
    clear eigfun39 eigfun40 c39 c40
    
    %Clean up the 49 50 51 triplet 
    % Remove center circle 
    eigfun49=M*V(:,49);
    eigfun50=M*V(:,50);
    eigfun51=M*V(:,51);
    c49=eigfun49(rays==17*2^(level-5));
    c50=eigfun50(rays==17*2^(level-5));
    c51=eigfun51(rays==17*2^(level-5));
    
    V(:,50)=V(:,50)-c50*V(:,49)/c49;
    V(:,51)=V(:,51)-c51*V(:,49)/c49;
    
    %Remove Right 
    eigfun50=M*V(:,50);
    eigfun51=M*V(:,51);
    c49=eigfun49(rays==5*2^(level-5));
    c50=eigfun50(rays==5*2^(level-5));
    c51=eigfun51(rays==5*2^(level-5));
    
    V(:,49)=V(:,49)-c49*V(:,50)/c50;
    V(:,51)=V(:,51)-c51*V(:,50)/c50;
    
    %Remove Left
    eigfun49=M*V(:,49);
    eigfun51=M*V(:,51);
    c49=eigfun49(rays==41*2^(level-5));
    c50=eigfun50(rays==41*2^(level-5));
    c51=eigfun51(rays==41*2^(level-5));
    
    V(:,49)=V(:,49)-c49*V(:,51)/c51;
    V(:,50)=V(:,50)-c50*V(:,51)/c51;
    
     % Renormalize
    V(:,49)=V(:,49)/sqrt(sum(V(:,49).*V(:,49)));
    V(:,50)=V(:,50)/sqrt(sum(V(:,50).*V(:,50)));
    V(:,51)=V(:,51)/sqrt(sum(V(:,51).*V(:,51)));
    
    clear eigfun49 eigfun50 eigfun51 c49 c50 c51
    
    % Clean the 54-64 11-tuplet
    % Remove center circle 
    eigfun54=M*V(:,54);
    eigfun55=M*V(:,55);
    eigfun56=M*V(:,56);
    eigfun57=M*V(:,57);
    eigfun58=M*V(:,58);
    eigfun59=M*V(:,59);
    eigfun60=M*V(:,60);
    eigfun61=M*V(:,61);
    eigfun62=M*V(:,62);
    eigfun63=M*V(:,63);
    eigfun64=M*V(:,64);
    
    c54=eigfun54(rays==67*2^(level-7));
    c55=eigfun55(rays==67*2^(level-7));
    c56=eigfun56(rays==67*2^(level-7));
    c57=eigfun57(rays==67*2^(level-7));
    c58=eigfun58(rays==67*2^(level-7));
    c59=eigfun59(rays==67*2^(level-7));
    c60=eigfun60(rays==67*2^(level-7));
    c61=eigfun61(rays==67*2^(level-7));
    c62=eigfun62(rays==67*2^(level-7));
    c63=eigfun63(rays==67*2^(level-7));
    c64=eigfun64(rays==67*2^(level-7));
    
    V(:,55)=V(:,55)-c55*V(:,54)/c54;
    V(:,56)=V(:,56)-c56*V(:,54)/c54;
    V(:,57)=V(:,57)-c57*V(:,54)/c54;
    V(:,58)=V(:,58)-c58*V(:,54)/c54;
    V(:,59)=V(:,59)-c59*V(:,54)/c54;
    V(:,60)=V(:,60)-c60*V(:,54)/c54;
    V(:,61)=V(:,61)-c61*V(:,54)/c54;
    V(:,62)=V(:,62)-c62*V(:,54)/c54;
    V(:,63)=V(:,63)-c63*V(:,54)/c54;
    V(:,64)=V(:,64)-c64*V(:,54)/c54;
    
    % Remove Right 
    eigfun55=M*V(:,55);
    eigfun56=M*V(:,56);
    eigfun57=M*V(:,57);
    eigfun58=M*V(:,58);
    eigfun59=M*V(:,59);
    eigfun60=M*V(:,60);
    eigfun61=M*V(:,61);
    eigfun62=M*V(:,62);
    eigfun63=M*V(:,63);
    eigfun64=M*V(:,64);
    
    c54=eigfun54(rays==31*2^(level-7));
    c55=eigfun55(rays==31*2^(level-7));
    c56=eigfun56(rays==31*2^(level-7));
    c57=eigfun57(rays==31*2^(level-7));
    c58=eigfun58(rays==31*2^(level-7));
    c59=eigfun59(rays==31*2^(level-7));
    c60=eigfun60(rays==31*2^(level-7));
    c61=eigfun61(rays==31*2^(level-7));
    c62=eigfun62(rays==31*2^(level-7));
    c63=eigfun63(rays==31*2^(level-7));
    c64=eigfun64(rays==31*2^(level-7));
     
    V(:,54)=V(:,54)-c54*V(:,55)/c55;
    V(:,56)=V(:,56)-c56*V(:,55)/c55;
    V(:,57)=V(:,57)-c57*V(:,55)/c55;
    V(:,58)=V(:,58)-c58*V(:,55)/c55;
    V(:,59)=V(:,59)-c59*V(:,55)/c55;
    V(:,60)=V(:,60)-c60*V(:,55)/c55;
    V(:,61)=V(:,61)-c61*V(:,55)/c55;
    V(:,62)=V(:,62)-c62*V(:,55)/c55;
    V(:,63)=V(:,63)-c63*V(:,55)/c55;
    V(:,64)=V(:,64)-c64*V(:,55)/c55;
    
    % Remove Left 
    eigfun54=M*V(:,54);
    eigfun56=M*V(:,56);
    eigfun57=M*V(:,57);
    eigfun58=M*V(:,58);
    eigfun59=M*V(:,59);
    eigfun60=M*V(:,60);
    eigfun61=M*V(:,61);
    eigfun62=M*V(:,62);
    eigfun63=M*V(:,63);
    eigfun64=M*V(:,64);
    
    c54=eigfun54(rays==223*2^(level-7));
    c55=eigfun55(rays==223*2^(level-7));
    c56=eigfun56(rays==223*2^(level-7));
    c57=eigfun57(rays==223*2^(level-7));
    c58=eigfun58(rays==223*2^(level-7));
    c59=eigfun59(rays==223*2^(level-7));
    c60=eigfun60(rays==223*2^(level-7));
    c61=eigfun61(rays==223*2^(level-7));
    c62=eigfun62(rays==223*2^(level-7));
    c63=eigfun63(rays==223*2^(level-7));
    c64=eigfun64(rays==223*2^(level-7));
    
    V(:,54)=V(:,54)-c54*V(:,56)/c56;
    V(:,55)=V(:,55)-c55*V(:,56)/c56;
    V(:,57)=V(:,57)-c57*V(:,56)/c56;
    V(:,58)=V(:,58)-c58*V(:,56)/c56;
    V(:,59)=V(:,59)-c59*V(:,56)/c56;
    V(:,60)=V(:,60)-c60*V(:,56)/c56;
    V(:,61)=V(:,61)-c61*V(:,56)/c56;
    V(:,62)=V(:,62)-c62*V(:,56)/c56;
    V(:,63)=V(:,63)-c63*V(:,56)/c56;
    V(:,64)=V(:,64)-c64*V(:,56)/c56;
    
    % Remove Far Right 
    eigfun54=M*V(:,54);
    eigfun55=M*V(:,55);
    eigfun57=M*V(:,57);
    eigfun58=M*V(:,58);
    eigfun59=M*V(:,59);
    eigfun60=M*V(:,60);
    eigfun61=M*V(:,61);
    eigfun62=M*V(:,62);
    eigfun63=M*V(:,63);
    eigfun64=M*V(:,64);
    
    c54=eigfun54(rays==5*2^(level-7));
    c55=eigfun55(rays==5*2^(level-7));
    c56=eigfun56(rays==5*2^(level-7));
    c57=eigfun57(rays==5*2^(level-7));
    c58=eigfun58(rays==5*2^(level-7));
    c59=eigfun59(rays==5*2^(level-7));
    c60=eigfun60(rays==5*2^(level-7));
    c61=eigfun61(rays==5*2^(level-7));
    c62=eigfun62(rays==5*2^(level-7));
    c63=eigfun63(rays==5*2^(level-7));
    c64=eigfun64(rays==5*2^(level-7));
    
    V(:,54)=V(:,54)-c54*V(:,57)/c57;
    V(:,55)=V(:,55)-c55*V(:,57)/c57;
    V(:,56)=V(:,56)-c56*V(:,57)/c57;
    V(:,58)=V(:,58)-c58*V(:,57)/c57;
    V(:,59)=V(:,59)-c59*V(:,57)/c57;
    V(:,60)=V(:,60)-c60*V(:,57)/c57;
    V(:,61)=V(:,61)-c61*V(:,57)/c57;
    V(:,62)=V(:,62)-c62*V(:,57)/c57;
    V(:,63)=V(:,63)-c63*V(:,57)/c57;
    V(:,64)=V(:,64)-c64*V(:,57)/c57;
    
    % Remove top Right 
    eigfun54=M*V(:,54);
    eigfun55=M*V(:,55);
    eigfun56=M*V(:,56);
    eigfun58=M*V(:,58);
    eigfun59=M*V(:,59);
    eigfun60=M*V(:,60);
    eigfun61=M*V(:,61);
    eigfun62=M*V(:,62);
    eigfun63=M*V(:,63);
    eigfun64=M*V(:,64);
    
    c54=eigfun54(rays==41*2^(level-7));
    c55=eigfun55(rays==41*2^(level-7));
    c56=eigfun56(rays==41*2^(level-7));
    c57=eigfun57(rays==41*2^(level-7));
    c58=eigfun58(rays==41*2^(level-7));
    c59=eigfun59(rays==41*2^(level-7));
    c60=eigfun60(rays==41*2^(level-7));
    c61=eigfun61(rays==41*2^(level-7));
    c62=eigfun62(rays==41*2^(level-7));
    c63=eigfun63(rays==41*2^(level-7));
    c64=eigfun64(rays==41*2^(level-7));
    
    V(:,54)=V(:,54)-c54*V(:,58)/c58;
    V(:,55)=V(:,55)-c55*V(:,58)/c58;
    V(:,56)=V(:,56)-c56*V(:,58)/c58;
    V(:,57)=V(:,57)-c57*V(:,58)/c58;
    V(:,59)=V(:,59)-c59*V(:,58)/c58;
    V(:,60)=V(:,60)-c60*V(:,58)/c58;
    V(:,61)=V(:,61)-c61*V(:,58)/c58;
    V(:,62)=V(:,62)-c62*V(:,58)/c58;
    V(:,63)=V(:,63)-c63*V(:,58)/c58;
    V(:,64)=V(:,64)-c64*V(:,58)/c58;
    
     % Remove Top 
    eigfun54=M*V(:,54);
    eigfun55=M*V(:,55);
    eigfun56=M*V(:,56);
    eigfun57=M*V(:,57);
    eigfun59=M*V(:,59);
    eigfun60=M*V(:,60);
    eigfun61=M*V(:,61);
    eigfun62=M*V(:,62);
    eigfun63=M*V(:,63);
    eigfun64=M*V(:,64);
    
    c54=eigfun54(rays==89*2^(level-7));
    c55=eigfun55(rays==89*2^(level-7));
    c56=eigfun56(rays==89*2^(level-7));
    c57=eigfun57(rays==89*2^(level-7));
    c58=eigfun58(rays==89*2^(level-7));
    c59=eigfun59(rays==89*2^(level-7));
    c60=eigfun60(rays==89*2^(level-7));
    c61=eigfun61(rays==89*2^(level-7));
    c62=eigfun62(rays==89*2^(level-7));
    c63=eigfun63(rays==89*2^(level-7));
    c64=eigfun64(rays==89*2^(level-7));
    
    V(:,54)=V(:,54)-c54*V(:,59)/c59;
    V(:,55)=V(:,55)-c55*V(:,59)/c59;
    V(:,56)=V(:,56)-c56*V(:,59)/c59;
    V(:,57)=V(:,57)-c57*V(:,59)/c59;
    V(:,58)=V(:,58)-c58*V(:,59)/c59;
    V(:,60)=V(:,60)-c60*V(:,59)/c59;
    V(:,61)=V(:,61)-c61*V(:,59)/c59;
    V(:,62)=V(:,62)-c62*V(:,59)/c59;
    V(:,63)=V(:,63)-c63*V(:,59)/c59;
    V(:,64)=V(:,64)-c64*V(:,59)/c59;
    
    % Remove Top Left
    eigfun54=M*V(:,54);
    eigfun55=M*V(:,55);
    eigfun56=M*V(:,56);
    eigfun57=M*V(:,57);
    eigfun58=M*V(:,58);
    eigfun60=M*V(:,60);
    eigfun61=M*V(:,61);
    eigfun62=M*V(:,62);
    eigfun63=M*V(:,63);
    eigfun64=M*V(:,64);
    
    c54=eigfun54(rays==137*2^(level-7));
    c55=eigfun55(rays==137*2^(level-7));
    c56=eigfun56(rays==137*2^(level-7));
    c57=eigfun57(rays==137*2^(level-7));
    c58=eigfun58(rays==137*2^(level-7));
    c59=eigfun59(rays==137*2^(level-7));
    c60=eigfun60(rays==137*2^(level-7));
    c61=eigfun61(rays==137*2^(level-7));
    c62=eigfun62(rays==137*2^(level-7));
    c63=eigfun63(rays==137*2^(level-7));
    c64=eigfun64(rays==137*2^(level-7));
    
    V(:,54)=V(:,54)-c54*V(:,60)/c60;
    V(:,55)=V(:,55)-c55*V(:,60)/c60;
    V(:,56)=V(:,56)-c56*V(:,60)/c60;
    V(:,57)=V(:,57)-c57*V(:,60)/c60;
    V(:,58)=V(:,58)-c58*V(:,60)/c60;
    V(:,59)=V(:,59)-c59*V(:,60)/c60;
    V(:,61)=V(:,61)-c61*V(:,60)/c60;
    V(:,62)=V(:,62)-c62*V(:,60)/c60;
    V(:,63)=V(:,63)-c63*V(:,60)/c60;
    V(:,64)=V(:,64)-c64*V(:,60)/c60;
    
    % Remove Far Left
    eigfun54=M*V(:,54);
    eigfun55=M*V(:,55);
    eigfun56=M*V(:,56);
    eigfun57=M*V(:,57);
    eigfun58=M*V(:,58);
    eigfun59=M*V(:,59);
    eigfun61=M*V(:,61);
    eigfun62=M*V(:,62);
    eigfun63=M*V(:,63);
    eigfun64=M*V(:,64);
    
    c54=eigfun54(rays==197*2^(level-7));
    c55=eigfun55(rays==197*2^(level-7));
    c56=eigfun56(rays==197*2^(level-7));
    c57=eigfun57(rays==197*2^(level-7));
    c58=eigfun58(rays==197*2^(level-7));
    c59=eigfun59(rays==197*2^(level-7));
    c60=eigfun60(rays==197*2^(level-7));
    c61=eigfun61(rays==197*2^(level-7));
    c62=eigfun62(rays==197*2^(level-7));
    c63=eigfun63(rays==197*2^(level-7));
    c64=eigfun64(rays==197*2^(level-7));
    
    V(:,54)=V(:,54)-c54*V(:,61)/c61;
    V(:,55)=V(:,55)-c55*V(:,61)/c61;
    V(:,56)=V(:,56)-c56*V(:,61)/c61;
    V(:,57)=V(:,57)-c57*V(:,61)/c61;
    V(:,58)=V(:,58)-c58*V(:,61)/c61;
    V(:,59)=V(:,59)-c59*V(:,61)/c61;
    V(:,60)=V(:,60)-c60*V(:,61)/c61;
    V(:,62)=V(:,62)-c62*V(:,61)/c61;
    V(:,63)=V(:,63)-c63*V(:,61)/c61;
    V(:,64)=V(:,64)-c64*V(:,61)/c61;
    
    % Remove Bottom Left
    eigfun54=M*V(:,54);
    eigfun55=M*V(:,55);
    eigfun56=M*V(:,56);
    eigfun57=M*V(:,57);
    eigfun58=M*V(:,58);
    eigfun59=M*V(:,59);
    eigfun60=M*V(:,60);
    eigfun62=M*V(:,62);
    eigfun63=M*V(:,63);
    eigfun64=M*V(:,64);
    
    c54=eigfun54(rays==233*2^(level-7));
    c55=eigfun55(rays==233*2^(level-7));
    c56=eigfun56(rays==233*2^(level-7));
    c57=eigfun57(rays==233*2^(level-7));
    c58=eigfun58(rays==233*2^(level-7));
    c59=eigfun59(rays==233*2^(level-7));
    c60=eigfun60(rays==233*2^(level-7));
    c61=eigfun61(rays==233*2^(level-7));
    c62=eigfun62(rays==233*2^(level-7));
    c63=eigfun63(rays==233*2^(level-7));
    c64=eigfun64(rays==233*2^(level-7));
    
    V(:,54)=V(:,54)-c54*V(:,62)/c62;
    V(:,55)=V(:,55)-c55*V(:,62)/c62;
    V(:,56)=V(:,56)-c56*V(:,62)/c62;
    V(:,57)=V(:,57)-c57*V(:,62)/c62;
    V(:,58)=V(:,58)-c58*V(:,62)/c62;
    V(:,59)=V(:,59)-c59*V(:,62)/c62;
    V(:,60)=V(:,60)-c60*V(:,62)/c62;
    V(:,61)=V(:,61)-c61*V(:,62)/c62;
    V(:,63)=V(:,63)-c63*V(:,62)/c62;
    V(:,64)=V(:,64)-c64*V(:,62)/c62;
    
     % Remove Bottom
    eigfun54=M*V(:,54);
    eigfun55=M*V(:,55);
    eigfun56=M*V(:,56);
    eigfun57=M*V(:,57);
    eigfun58=M*V(:,58);
    eigfun59=M*V(:,59);
    eigfun60=M*V(:,60);
    eigfun61=M*V(:,61);
    eigfun63=M*V(:,63);
    eigfun64=M*V(:,64);
    
    c54=eigfun54(rays==281*2^(level-7));
    c55=eigfun55(rays==281*2^(level-7));
    c56=eigfun56(rays==281*2^(level-7));
    c57=eigfun57(rays==281*2^(level-7));
    c58=eigfun58(rays==281*2^(level-7));
    c59=eigfun59(rays==281*2^(level-7));
    c60=eigfun60(rays==281*2^(level-7));
    c61=eigfun61(rays==281*2^(level-7));
    c62=eigfun62(rays==281*2^(level-7));
    c63=eigfun63(rays==281*2^(level-7));
    c64=eigfun64(rays==281*2^(level-7));
    
    V(:,54)=V(:,54)-c54*V(:,63)/c63;
    V(:,55)=V(:,55)-c55*V(:,63)/c63;
    V(:,56)=V(:,56)-c56*V(:,63)/c63;
    V(:,57)=V(:,57)-c57*V(:,63)/c63;
    V(:,58)=V(:,58)-c58*V(:,63)/c63;
    V(:,59)=V(:,59)-c59*V(:,63)/c63;
    V(:,60)=V(:,60)-c60*V(:,63)/c63;
    V(:,61)=V(:,61)-c61*V(:,63)/c63;
    V(:,62)=V(:,62)-c62*V(:,63)/c63;
    V(:,64)=V(:,64)-c64*V(:,63)/c63;
    
     % Remove Bottom Right
    eigfun54=M*V(:,54);
    eigfun55=M*V(:,55);
    eigfun56=M*V(:,56);
    eigfun57=M*V(:,57);
    eigfun58=M*V(:,58);
    eigfun59=M*V(:,59);
    eigfun60=M*V(:,60);
    eigfun61=M*V(:,61);
    eigfun62=M*V(:,62);
    eigfun64=M*V(:,64);
    
    c54=eigfun54(rays==329*2^(level-7));
    c55=eigfun55(rays==329*2^(level-7));
    c56=eigfun56(rays==329*2^(level-7));
    c57=eigfun57(rays==329*2^(level-7));
    c58=eigfun58(rays==329*2^(level-7));
    c59=eigfun59(rays==329*2^(level-7));
    c60=eigfun60(rays==329*2^(level-7));
    c61=eigfun61(rays==329*2^(level-7));
    c62=eigfun62(rays==329*2^(level-7));
    c63=eigfun63(rays==329*2^(level-7));
    c64=eigfun64(rays==329*2^(level-7));
    
    V(:,54)=V(:,54)-c54*V(:,64)/c64;
    V(:,55)=V(:,55)-c55*V(:,64)/c64;
    V(:,56)=V(:,56)-c56*V(:,64)/c64;
    V(:,57)=V(:,57)-c57*V(:,64)/c64;
    V(:,58)=V(:,58)-c58*V(:,64)/c64;
    V(:,59)=V(:,59)-c59*V(:,64)/c64;
    V(:,60)=V(:,60)-c60*V(:,64)/c64;
    V(:,61)=V(:,61)-c61*V(:,64)/c64;
    V(:,62)=V(:,62)-c62*V(:,64)/c64;
    V(:,63)=V(:,63)-c63*V(:,64)/c64;
    
     % Renormalize
    V(:,54)=V(:,54)/sqrt(sum(V(:,54).*V(:,54)));
    V(:,55)=V(:,55)/sqrt(sum(V(:,55).*V(:,55)));
    V(:,56)=V(:,56)/sqrt(sum(V(:,56).*V(:,56)));
    V(:,57)=V(:,57)/sqrt(sum(V(:,57).*V(:,57)));
    V(:,58)=V(:,58)/sqrt(sum(V(:,58).*V(:,58)));
    V(:,59)=V(:,59)/sqrt(sum(V(:,59).*V(:,59)));
    V(:,60)=V(:,60)/sqrt(sum(V(:,60).*V(:,60)));
    V(:,61)=V(:,61)/sqrt(sum(V(:,61).*V(:,61)));
    V(:,62)=V(:,62)/sqrt(sum(V(:,62).*V(:,62)));
    V(:,63)=V(:,63)/sqrt(sum(V(:,63).*V(:,63)));
    V(:,64)=V(:,64)/sqrt(sum(V(:,64).*V(:,64)));
end
elseif meas=='c'&&level==10
    if (level>=4) 
    % Clean up the 7 8 pair
        eigfun7=M*V(:,7); % find full eigenfunctions
        eigfun8=M*V(:,8);
        c7=eigfun7(rays==(5*2^(level-4))); %pick constants
        c8=eigfun8(rays==(5*2^(level-4))); 
    
        V(:,8)=V(:,8)-c8*V(:,7)/c7; % cancel one circle
    
    
        eigfun8=M*V(:,8); % refind full eigenfunction
        c7=eigfun7(rays==(29*2^(level-4))); %find the new constants
        c8=eigfun8(rays==(29*2^(level-4)));
    
        V(:,7)=V(:,7)-c7*V(:,8)/c8; % cancel the other circle
    
        % Renormalize
        V(:,7)=V(:,7)/sqrt(sum(V(:,7).*V(:,7)));
        V(:,8)=V(:,8)/sqrt(sum(V(:,8).*V(:,8)));
    
        clear eigfun7 eigfun8 c7 c8
    end
    if (level>=6) 
    % Clean up the 17 18 pair
        eigfun17=M*V(:,17); % find full eigenfunctions
        eigfun18=M*V(:,18);
        c17=eigfun17(rays==(5*2^(level-4))); %pick constants
        c18=eigfun18(rays==(5*2^(level-4))); 
    
        V(:,18)=V(:,18)-c18*V(:,17)/c17; % cancel one circle
    
    
        eigfun18=M*V(:,18); % refind full eigenfunction
        c17=eigfun17(rays==(29*2^(level-4))); %find the new constants
        c18=eigfun18(rays==(29*2^(level-4)));
    
        V(:,17)=V(:,17)-c17*V(:,18)/c18; % cancel the other circle
    
        % Renormalize
        V(:,17)=V(:,17)/sqrt(sum(V(:,17).*V(:,17)));
        V(:,18)=V(:,18)/sqrt(sum(V(:,18).*V(:,18)));
    
        clear eigfun17 eigfun18 c17 c18
         % Clean up the 21 22 pair
        eigfun21=M*V(:,21); % find full eigenfunctions
        eigfun22=M*V(:,22);
        c21=eigfun21(rays==(5*2^(level-5))); %pick constants
        c22=eigfun22(rays==(5*2^(level-5))); 
    
        V(:,22)=V(:,22)-c22*V(:,21)/c21; % cancel one circle
    
    
        eigfun22=M*V(:,22); % refind full eigenfunction
        c21=eigfun21(rays==(53*2^(level-5))); %find the new constants
        c22=eigfun22(rays==(53*2^(level-5)));
    
        V(:,21)=V(:,21)-c21*V(:,22)/c22; % cancel the other circle
    
        % Renormalize
        V(:,21)=V(:,21)/sqrt(sum(V(:,21).*V(:,21)));
        V(:,22)=V(:,22)/sqrt(sum(V(:,22).*V(:,22)));
    
        clear eigfun21 eigfun22 c21 c22
   
        % Clean up the 27 28 pair (why is it every 7 8 ????)
        eigfun27=M*V(:,27); % find full eigenfunctions
        eigfun28=M*V(:,28);
        c27=eigfun27(rays==(5*2^(level-4))); %pick constants
        c28=eigfun28(rays==(5*2^(level-4))); 
    
        V(:,28)=V(:,28)-c28*V(:,27)/c27; % cancel one circle
    
    
        eigfun28=M*V(:,28); % refind full eigenfunction
        c27=eigfun27(rays==(29*2^(level-4))); %find the new constants
        c28=eigfun28(rays==(29*2^(level-4)));
    
        V(:,27)=V(:,27)-c27*V(:,28)/c28; % cancel the other circle
        
        % Renormalize
        V(:,27)=V(:,27)/sqrt(sum(V(:,27).*V(:,27)));
        V(:,28)=V(:,28)/sqrt(sum(V(:,28).*V(:,28)));
        clear eigfun27 eigfun28 c27 c28
    end
    if(level>=7)    
        % Clean up the 34 35 pair 
        eigfun34=M*V(:,34); % find full eigenfunctions
        eigfun35=M*V(:,35);
        c34=eigfun34(rays==(41*2^(level-6))); %pick constants
        c35=eigfun35(rays==(41*2^(level-6))); 
    
        V(:,35)=V(:,35)-c35*V(:,34)/c34; % cancel one circle
    
    
        eigfun35=M*V(:,35); % refind full eigenfunction
        c34=eigfun34(rays==(137*2^(level-6))); %find the new constants
        c35=eigfun35(rays==(137*2^(level-6)));
    
        V(:,34)=V(:,34)-c34*V(:,35)/c35; % cancel the other circle
    
        % Renormalize
        V(:,34)=V(:,34)/sqrt(sum(V(:,34).*V(:,34)));
        V(:,35)=V(:,35)/sqrt(sum(V(:,35).*V(:,35)));
    
        clear eigfun34 eigfun35 c34 c35
               
        % Clean up the 41 42 pair 
        eigfun41=M*V(:,41); % find full eigenfunctions
        eigfun42=M*V(:,42);
        c41=eigfun41(rays==(5*2^(level-4))); %pick constants
        c42=eigfun42(rays==(5*2^(level-4))); 
    
        V(:,42)=V(:,42)-c42*V(:,41)/c41; % cancel one circle
    
    
        eigfun42=M*V(:,42); % refind full eigenfunction
        c41=eigfun41(rays==(29*2^(level-4))); %find the new constants
        c42=eigfun42(rays==(29*2^(level-4)));
    
        V(:,41)=V(:,41)-c41*V(:,42)/c42; % cancel the other circle
        
        % Renormalize
        V(:,41)=V(:,41)/sqrt(sum(V(:,41).*V(:,41)));
        V(:,42)=V(:,42)/sqrt(sum(V(:,42).*V(:,42)));
        clear eigfun41 eigfun42 c41 c42
        
        % Clean up the 49 50 pair 
        eigfun49=M*V(:,49); % find full eigenfunctions
        eigfun50=M*V(:,50);
        c49=eigfun49(rays==(5*2^(level-4))); %pick constants
        c50=eigfun50(rays==(5*2^(level-4))); 
    
        V(:,50)=V(:,50)-c50*V(:,49)/c49; % cancel one circle
    
    
        eigfun50=M*V(:,50); % refind full eigenfunction
        c49=eigfun49(rays==(29*2^(level-4))); %find the new constants
        c50=eigfun50(rays==(29*2^(level-4)));
    
        V(:,49)=V(:,49)-c49*V(:,50)/c50; % cancel the other circle
        
        % Renormalize
        V(:,49)=V(:,49)/sqrt(sum(V(:,49).*V(:,49)));
        V(:,50)=V(:,50)/sqrt(sum(V(:,50).*V(:,50)));
        clear eigfun49 eigfun50 c49 c50
        
        % Clean up the 53 54 pair 
        eigfun53=M*V(:,53); % find full eigenfunctions
        eigfun54=M*V(:,54);
        c53=eigfun53(rays==(5*2^(level-5))); %pick constants
        c54=eigfun54(rays==(5*2^(level-5))); 
    
        V(:,54)=V(:,54)-c54*V(:,53)/c53; % cancel one circle
        eigfun54=M*V(:,54); % refind full eigenfunction
        c53=eigfun53(rays==(53*2^(level-5))); %find the new constants
        c54=eigfun54(rays==(53*2^(level-5)));
    
        V(:,53)=V(:,53)-c53*V(:,54)/c54; % cancel the other circle
    
        % Renormalize
        V(:,53)=V(:,53)/sqrt(sum(V(:,53).*V(:,53)));
        V(:,54)=V(:,54)/sqrt(sum(V(:,54).*V(:,54)));
    
        clear eigfun53 eigfun54 c53 c54
        
         % Clean up the 61 62 pair 
        eigfun61=M*V(:,61); % find full eigenfunctions
        eigfun62=M*V(:,62);
        c61=eigfun61(rays==(5*2^(level-4))); %pick constants
        c62=eigfun62(rays==(5*2^(level-4))); 
    
        V(:,62)=V(:,62)-c62*V(:,61)/c61; % cancel one circle
    
    
        eigfun62=M*V(:,62); % refind full eigenfunction
        c61=eigfun61(rays==(29*2^(level-4))); %find the new constants
        c62=eigfun62(rays==(29*2^(level-4)));
    
        V(:,61)=V(:,61)-c61*V(:,62)/c62; % cancel the other circle
        
        % Renormalize
        V(:,61)=V(:,61)/sqrt(sum(V(:,61).*V(:,61)));
        V(:,62)=V(:,62)/sqrt(sum(V(:,62).*V(:,62)));
        clear eigfun61 eigfun62 c61 c62
        
        % Clean up the 63 64 pair 
        eigfun63=M*V(:,63); % find full eigenfunctions
        eigfun64=M*V(:,64);
        c63=eigfun63(rays==(5*2^(level-6))); %pick constants
        c64=eigfun64(rays==(5*2^(level-6))); 
    
        V(:,64)=V(:,64)-c64*V(:,63)/c63; % cancel one circle
    
    
        eigfun64=M*V(:,64); % refind full eigenfunction
        c63=eigfun63(rays==(101*2^(level-6))); %find the new constants
        c64=eigfun64(rays==(101*2^(level-6)));
    
        V(:,63)=V(:,63)-c63*V(:,64)/c64; % cancel the other circle
        
        % Renormalize
        V(:,63)=V(:,63)/sqrt(sum(V(:,63).*V(:,63)));
        V(:,64)=V(:,64)/sqrt(sum(V(:,64).*V(:,64)));
        clear eigfun63 eigfun64 c63 c64
     end
end

