% function [incirc, incirc2]=InCircle(maxnumits,creal,cimag)
% ----------------------------------------
% Finds the total sum of the weights in the inner circle of the
% bascilica for the conformal measure for iterations 2 through maxnumits
% allows us to the behavoir. 

function [incirc, incirc2]=InCircle(maxnumits,creal,cimag)
if nargin<1
    error('Need more info, specify number of iterations/level')
elseif nargin<3
    fprintf('InCircle: Running Standard Bascilica\r');
    creal=-1;
    cimag=0;
end
    
IncircMeas=zeros(1,maxnumits-1);
IncircMea2=zeros(1,maxnumits-1);

for i=2:maxnumits
    numits=i;
    [rays,values,weights,matches]=LapBW(numits,creal,cimag);

    % We want points with ray angles 1/6<a<5/6 
    % and also points that don't occur btw matched points so...

    % denom value is 3*2^numits
    incirc=rays>=2^(numits-1)&rays<=5*2^(numits-1);
    incirc2=rays>=2^(numits)&rays<=2^(numits+1);
    
    % Thin matches 
    cutoffs=rays(matches);	% Lower ray first
    cutoff2=rays(matches);
    for j=1:length(cutoffs(:,1))    % eliminate pairs less than 1/6
        if cutoffs(j,1)<=2^(numits-1)||cutoffs(j,1)>=5*2^(numits-1)
            cutoffs(j,:)=[0,0];
        end
        if cutoff2(j,1)<=2^(numits)||cutoff2(j,1)>=2^(numits+1)
            cutoff2(j,:)=[0,0];
        end
    end
    
    cutoffs=[cutoffs(cutoffs(:,1)>0,1),cutoffs(cutoffs(:,2)>0,2)]; %eliminate dead rows
    cutoff2=[cutoff2(cutoff2(:,1)>0,1),cutoff2(cutoff2(:,2)>0,2)]; %eliminate dead rows
    
    [nr,nc]=size(cutoffs);
    [nr2,nc]=size(cutoff2);
    for j=1:nr 
        hi=cutoffs-[cutoffs(j,1).*ones(nr,1),cutoffs(j,2).*ones(nr,1)];
        good=sign(hi(:,1))==sign(hi(:,2));
        good=[good,good];
        cutoffs=cutoffs.*good;
    end
    cutoffs=[cutoffs(cutoffs(:,1)>0,1),cutoffs(cutoffs(:,2)>0,2)]; %eliminate dead rows
    for j=1:nr2 
        hi=cutoff2-[cutoff2(j,1).*ones(nr2,1),cutoff2(j,2).*ones(nr2,1)];
        good=sign(hi(:,1))==sign(hi(:,2));
        good=[good,good];
        cutoff2=cutoff2.*good;
    end
    cutoff2=[cutoff2(cutoff2(:,1)>0,1),cutoff2(cutoff2(:,2)>0,2)]; %eliminate dead rows
    
    [nr,nc]=size(cutoffs);
    for j=1:nr
       incirc=incirc.*(~(rays>cutoffs(j,1)&rays<cutoffs(j,2)));
    end 
    
    [nr2,nc]=size(cutoff2);
    for j=1:nr2
       incirc2=incirc2.*(~(rays>cutoff2(j,1)&rays<cutoff2(j,2)));
    end 
    
    
    IncircMeas(numits-1)=sum(weights(logical(incirc)))/sum(weights);
    IncircMea2(numits-1)=sum(weights(logical(incirc2)))/sum(weights);
    

    
end  
